Skip to content
getgeolens.com

Collection Items

GET
/collections/datasets/items
curl --request GET \
--url 'https://example.com/collections/datasets/items?sort_by=relevance&offset=0&limit=10&cql2_filter_lang=cql2-text&exclude_synthetic=true&spatial_predicate=intersects' \
--header 'Content-Type: application/json' \
--data '[ "example" ]'

OGC API Records items endpoint — mirrors /search/datasets.

type
Type

Public OGC resource types as repeated or comma-separated values (for example, type=dataset,collection)

Array<string>

Public OGC resource types as repeated or comma-separated values (for example, type=dataset,collection)

ids
Ids

Record IDs as repeated or comma-separated UUID values

Array<string>

Record IDs as repeated or comma-separated UUID values

externalIds
Externalids

Source-system resource identifiers as repeated or comma-separated values

Array<string>

Source-system resource identifiers as repeated or comma-separated values

sortby
Any of:
string

OGC sortby: +field or -field

externalId
deprecated
Any of:
string

Deprecated singular compatibility alias for externalIds (matches a dataset UUID)

q
Any of:
string
<= 1000 characters
bbox
Any of:
string
geometry_type
Any of:
string
srid
Any of:
integer
source_organization
Any of:
string
record_type
Any of:
string
date_from
Any of:
string format: date
date_to
Any of:
string format: date
vintage_start
Any of:
string format: date
vintage_end
Any of:
string format: date
sort_by
Sort By
string
default: relevance
sort_desc
Any of:
boolean
offset
Offset
integer
0
limit
Limit
integer
default: 10 >= 1
filter
Any of:
string
<= 10000 characters
cql2_filter_lang
Cql2 Filter Lang
string
default: cql2-text
datetime
Any of:
string
exclude_synthetic
Exclude Synthetic
boolean
default: true
spatial_predicate
Spatial Predicate
string
default: intersects
Allowed values: intersects within
geometry
Any of:
string
<= 50000 characters
collection_id
Any of:
string format: uuid
Media type application/json
Any of:
Array<string>
Example generated
[
"example"
]

Successful Response

OGCFeatureCollectionResponse

OGC API Records FeatureCollection with match counts.

object
features
required
Features
Array<object>
OGCRecordResponse

Single OGC API Records Feature.

object
assets
Any of:
object
key
additional properties
OGCAsset

STAC-style asset entry for an OGC Record.

object
href
required
Href
string
roles
Any of:
Array<string>
title
Any of:
string
type
required
Type
string
bbox
Any of:
Array<number>
conformsTo
Any of:
Array<string>
geometry
Any of:
object
key
additional properties
any
id
required
Id
string
links
required
Links
Array<object>
OGCRecordLink

Link object in OGC API Records.

object
href
required
Href
string
rel
required
Rel
string
type
required
Type
string
properties
required
OGCRecordProperties

Properties block of an OGC API Records Feature.

object
band_count
Any of:
integer
column_count
Any of:
integer
constraints
Any of:
object
key
additional properties
any
contacts
required
Contacts
Array<object>
object
key
additional properties
any
created
Any of:
string format: date-time
crs
Any of:
string
crs_is_geographic
Any of:
boolean
dataset_count
Any of:
integer
description
required
Description
string
distributions
Any of:
Array<object>
object
key
additional properties
any
externalIds
Externalids

Identifiers assigned by the described resource’s source system.

Array<string>
feature_count
Any of:
integer
formats
Any of:
Array<string>
geometry_type
Any of:
string
gsd
Any of:
number
has_quicklook
Has Quicklook
boolean
keywords
required
Keywords
Array<string>
language
Any of:
string
license
required
License
string
lineage
Any of:
string
never_edited
Never Edited
boolean
quality_detail
Any of:
object
key
additional properties
any
quality_statement
Any of:
string
record_status
Any of:
string
record_type
Record Type
string
default: vector_dataset
rights
Any of:
string
row_count
Any of:
integer
source_count
Any of:
integer
source_format
Any of:
string
source_organization
Any of:
string
themes
required
Themes
Array<object>
object
key
additional properties
any
time
required
Time
object
key
additional properties
any
title
required
Title
string
type
Type
string
default: dataset
update_frequency
Any of:
string
updated
Any of:
string format: date-time
updated_by_display
Any of:
string
vrt_type
Any of:
string
time
required
Time
object
key
additional properties
any
type
Type
string
default: Feature
links
Any of:
Array<object>
OGCRecordLink

Link object in OGC API Records.

object
href
required
Href
string
rel
required
Rel
string
type
required
Type
string
numberMatched
required
Numbermatched

Total records matching the query

integer
numberReturned
required
Numberreturned

Number of records in this response page

integer
timeStamp
Any of:
string
type
Type
string
default: FeatureCollection
Example
{
"features": [
{
"properties": {
"has_quicklook": false,
"never_edited": false,
"record_type": "vector_dataset",
"type": "dataset"
},
"type": "Feature"
}
],
"type": "FeatureCollection"
}

Bad request — invalid query parameters or payload

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Not found

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Too many requests — retry after the advertised interval

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}
Retry-After
integer

Seconds until the request may be retried

Internal server error

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}

Service unavailable — the database could not serve the request

Media type application/problem+json
ProblemDetail
object
detail
required
Any of:
string
status
required
Status
integer
title
required
Title
string
type
Type
string
default: about:blank
Example
{
"detail": "Dataset not found",
"status": 404,
"title": "Not Found",
"type": "about:blank"
}